import cdk = require('@aws-cdk/core');
import ec2 = require('@aws-cdk/aws-ec2');
export interface DocDbLibProps {
    /**
     * The visibility timeout to be configured on the SQS Queue, in seconds.
     *
     * @default Duration.seconds(300)
     */
    readonly vpc?: ec2.Vpc;
}
export declare class DocDbLib extends cdk.Construct {
    /** @returns the ARN of the SQS queue */
    readonly queueArn: string;
    constructor(scope: cdk.Construct, id: string, props?: DocDbLibProps);
}
